# CEGUI::GenericException Class Reference

Exception class used when none of the other classes are applicable. More...

Inheritance diagram for CEGUI::GenericException:

[legend]
Collaboration diagram for CEGUI::GenericException:

[legend]
List of all members.

## Public Member Functions

| GenericException (const String &message)

## Detailed Description

Exception class used when none of the other classes are applicable.